package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.AtmosphereEmission;
import com.lightinit.hsdatashow.entity.AtmosphereEmissionExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AtmosphereEmissionMapper {
    long countByExample(AtmosphereEmissionExample example);

    int deleteByExample(AtmosphereEmissionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AtmosphereEmission record);

    int insertSelective(AtmosphereEmission record);

    List<AtmosphereEmission> selectByExample(AtmosphereEmissionExample example);

    AtmosphereEmission selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AtmosphereEmission record, @Param("example") AtmosphereEmissionExample example);

    int updateByExample(@Param("record") AtmosphereEmission record, @Param("example") AtmosphereEmissionExample example);

    int updateByPrimaryKeySelective(AtmosphereEmission record);

    int updateByPrimaryKey(AtmosphereEmission record);

    List<AtmosphereEmission> getAtmosphereEmission(int year);
}